[Overview][Classes][Procedures and functions][Index] | Reference for unit 'streamcoll' (#fcl)

# ColWriteInteger

Write a 32-bit integer to a stream

## Declaration

Source position: streamcoll.pp line 69

`procedure ColWriteInteger(`
`S: TStream;`
`AValue: Integer`
`);`

## Arguments

`S` |  | Stream to write integer to
`AValue` |  | Integer value to write to stream

## Description

ColWriteInteger writes the 32-bit integer AValue to the stream S. No endianness is observed.

## See also

ColWriteBoolean |  | Write a boolean to a stream
ColWriteString |  | Write a string value to the stream
ColReadInteger |  | Read a 32-bit integer from a stream.
ColWriteCurrency |  | Write a currency value to stream
ColWriteDateTime |  | Write a TDateTime value to stream

Documentation generated on: Feb 26 2014